PDA

View Full Version : Fixed v4.23: Memoryleak Riot-Plugin



omnium
03.04.2009, 11:11 AM
Hallo,
ich weiss nicht ob das hier schon gepostet wurde? Bei einer Batchkonvertierung mit Benutzung des Riot_plugins wird irgendwann der Speicher knapp und die Batchkonvertierung bricht ab. Hier ein Screenshot der den 'Speicherverzehr' verdeutlicht:

http://img13.imageshack.us/img13/9894/memoryleako.png

Weiter so mit Irfanview,
omnium

PS:Wenn dieser Beitrag besser unter 'Plugins' aufgehoben ist, bitte verschieben.

Frank
03.04.2009, 01:18 PM
Hi omnium,

Ich denke, der von dir festgestellte Effekt paßt schon bei den Fehlermeldungen (http://en.irfanview-forum.de/vb/forumdisplay.php?f=23) hinein!

Aber es wäre durchaus hilfreich, wenn Du (detailiertere) Angaben zur verwendeten Version von
IrfanView (http://www.irfanview.com/) sowie von deinem Betriebssystem machst!

Die Möglichkeit zur Eingabe/Bearbeitung dieser Daten findest Du im Forum in der linken oberen Ecke unter: \Kontrollzentrum\Profil bearbeiten\! Dort kannst Du dein Betriebssystem (Windows-Version) sowie die verwendete IrfanView (http://www.irfanview.com/)-Version eintragen!

Allerdings möchte ich auch auf den Hinweis verweisen, welcher erscheint, wenn man versucht, im Einzelbildmodus große Bilder mit dem RIOT-PlugIn zu behandeln!

siehe: "irfanview hat fehler festgestellt und muß beendet werden..." (http://en.irfanview-forum.de/vb/showthread.php?t=2967)
http://img91.imageshack.us/img91/8787/riot1kq8.jpg (http://img132.imageshack.us/img132/6595/riotlu2.png)
(Zum Vergrößern auf das Bild klicken!)

omnium
03.04.2009, 03:31 PM
ok, die Angaben über die Irfan-Version und OS, habe ich aktualisiert.
Die Riot-Plugin Version war 0.3 Beta. Passiert aber auch mit der letzten stable Version.
Ist diese Fehlermeldung besser im Riot-Forum/hier im Riot-Thread (http://en.irfanview-forum.de/vb/showthread.php?t=2418) aufgehoben? Sorry, ich weiss halt nicht ob das was mit IrfanView oder speziell mit dem Plugin zu tun hat.

Danke für die schnelle Reaktion,
omnium

luciansabo
05.05.2009, 09:28 AM
Dies wird die in der nächsten Version (0.3.3)
This will be fixed in the next version (0.3.3)

Frank
09.06.2009, 02:32 PM
Somit gilt dieser Fehler seit der Version 0.3.3 des RIOT-Plugins als beseitigt!